using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace RunSystemBySchedle
{
    static class NativeMethods
    {
        [DllImport("CoreDLL.dll",SetLastError=true)]
        public static extern int CeRunAppAtTime(string application, SystemTime startTime);

        [DllImport("CoreDLL.dll", SetLastError = true)]
        public static extern int FileTimeToSystemTime(ref long lpFileTime, SystemTime lpSystemTime);

        [DllImport("CoreDLL.dll", SetLastError = true)]
        public static extern int FileTimeToLocalFileTime(ref long lpFileTime, ref long lpLocalFileTime);

    }

    [StructLayout(LayoutKind.Sequential)]
    public class SystemTime
    {
        public ushort wYear;
        public ushort wMonth;
        public ushort wDayOfWeek;
        public ushort wDay;
        public ushort wHour;
        public ushort wMinute;
        public ushort wSecond;
        public ushort wMilliseconds;
    }



}
