﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RunSystemBySchedle
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        SystemTime systemStartTime = null;
        private delegate void ShowTimer(string time);
        Timer timer = null;
        DateTime startTime = DateTime.MinValue;
        int timerStop = 0;


        private void menuItemStart_Click(object sender, EventArgs e)
        {
            startTime = DateTime.Now.AddSeconds(30);
            if (timer == null)
            {
                timer = new Timer();
                timer.Enabled = true;
                timer.Interval = 1000;
                timer.Tick += new EventHandler(timer_Tick);
            }
            long fileStartTime = startTime.ToFileTime();
            long localFileStartTime = 0;
            NativeMethods.FileTimeToLocalFileTime(ref fileStartTime, ref localFileStartTime);

            if (systemStartTime == null)
            {
                systemStartTime = new SystemTime();
            }
            // change to filesystem time
            NativeMethods.FileTimeToSystemTime(ref localFileStartTime, systemStartTime);
            // set the start application Runtime with schedule time
            NativeMethods.CeRunAppAtTime(@"\Windows\iexplore.exe", systemStartTime);
        }
        string time = string.Empty;
        void timer_Tick(object sender, EventArgs e)
        {

            if (timerStop == 30)
            {
                timer.Enabled = false;
            }
            else
            {
                timerStop++;
                time = startTime.Subtract(DateTime.Now).ToString();
                label1.Invoke(new ShowTimer(DisplayRealTime), new object[] { time });
            }
        }
        private void DisplayRealTime(string time)
        {
            lbltime.Text = "Timer>>" + time;
        }

    }
}